POST api/sitetimezoneapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
SiteTimeZoneViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| end_date | date |
Required |
|
| id | globally unique identifier |
None. |
|
| offset | decimal number |
Required |
|
| site_id | globally unique identifier |
Required |
|
| start_date | date |
Required |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"end_date": "2026-06-09T05:34:06.1733033+00:00",
"id": "71fb2781-3a4f-4bf1-8dd8-b233736c26ae",
"offset": 4.1,
"site_id": "f97b2998-7eb7-4a20-bae0-135b2084b9fb",
"start_date": "2026-06-09T05:34:06.1733033+00:00"
}
application/xml, text/xml
Sample:
<SiteTimeZone xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <end_date>2026-06-09T05:34:06.1733033+00:00</end_date> <id>71fb2781-3a4f-4bf1-8dd8-b233736c26ae</id> <offset>4.1</offset> <site_id>f97b2998-7eb7-4a20-bae0-135b2084b9fb</site_id> <start_date>2026-06-09T05:34:06.1733033+00:00</start_date> </SiteTimeZone>
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"f7ff52fe-1be3-40fd-aafb-41a749771c50"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">f7ff52fe-1be3-40fd-aafb-41a749771c50</guid>